package com.yaoyicloud.constant.enums;



import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 报告类型
 *
 */
@Getter
@AllArgsConstructor
public enum ReportType {

    FOUNDATION("FOUNDATION", "基金会"),
    PLATFORM_COMPANY("PLATFORM_COMPANY", "平台公司"),
    ACADEMIC_ASSOCIATIONS("ACADEMIC_ASSOCIATIONS", "学协会"),
    PROMOTION("PROMOTION", "推广服务商"),
    COMMERCIAL_COMPANY("COMMERCIAL_COMPANY", "商业公司"),
    OTHER("OTHER", "其他");

    /**
     * 类型
     */
    @EnumValue
    private final String type;

    /**
     * 描述
     */
    private final String desc;
}
